using System;
using System.Data;
using System.Collections.Generic;
using HySoft.Common;
using HySoft.BaseCallCenter.Model;
namespace HySoft.BaseCallCenter.BLL
{
	/// <summary>
	/// T_Wo_WorkOrderFiles
	/// </summary>
	public partial class T_Wo_WorkOrderFiles
	{
		private readonly HySoft.BaseCallCenter.DAL.T_Wo_WorkOrderFiles dal=new HySoft.BaseCallCenter.DAL.T_Wo_WorkOrderFiles();
		public T_Wo_WorkOrderFiles()
		{}
		#region  Method

		/// <summary>
		/// 增加一条数据
		/// </summary>
		public int  Add(HySoft.BaseCallCenter.Model.T_Wo_WorkOrderFiles model)
		{
			return dal.Add(model);
		}

		/// <summary>
		/// 更新一条数据
		/// </summary>
		public bool Update(HySoft.BaseCallCenter.Model.T_Wo_WorkOrderFiles model)
		{
			return dal.Update(model);
		}

        public bool Update1(HySoft.BaseCallCenter.Model.T_Wo_WorkOrderFiles model)
        {
            return dal.Update1(model);
        }

		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool Delete(int F_FILEID)
		{
			
			return dal.Delete(F_FILEID);
		}
		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool DeleteList(string F_FILEIDlist )
		{
			return dal.DeleteList(F_FILEIDlist );
		}

		/// <summary>
		/// 得到一个对象实体
		/// </summary>
		public HySoft.BaseCallCenter.Model.T_Wo_WorkOrderFiles GetModel(int F_FILEID)
		{
			
			return dal.GetModel(F_FILEID);
		}

		/// <summary>
		/// 得到一个对象实体，从缓存中
		/// </summary>
        //public HySoft.BaseCallCenter.Model.T_Wo_WorkOrderFiles GetModelByCache(int F_FILEID)
        //{
			
        //    string CacheKey = "T_Wo_WorkOrderFilesModel-" + F_FILEID;
        //    object objModel = Maticsoft.Common.DataCache.GetCache(CacheKey);
        //    if (objModel == null)
        //    {
        //        try
        //        {
        //            objModel = dal.GetModel(F_FILEID);
        //            if (objModel != null)
        //            {
        //                int ModelCache = Maticsoft.Common.ConfigHelper.GetConfigInt("ModelCache");
        //                Maticsoft.Common.DataCache.SetCache(CacheKey, objModel, DateTime.Now.AddMinutes(ModelCache), TimeSpan.Zero);
        //            }
        //        }
        //        catch{}
        //    }
        //    return (HySoft.BaseCallCenter.Model.T_Wo_WorkOrderFiles)objModel;
        //}

		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetList(string strWhere)
		{
			return dal.GetList(strWhere);
		}
		/// <summary>
		/// 获得前几行数据
		/// </summary>
		public DataSet GetList(int Top,string strWhere,string filedOrder)
		{
			return dal.GetList(Top,strWhere,filedOrder);
		}
		/// <summary>
		/// 获得数据列表
		/// </summary>
		public List<HySoft.BaseCallCenter.Model.T_Wo_WorkOrderFiles> GetModelList(string strWhere)
		{
			DataSet ds = dal.GetList(strWhere);
			return DataTableToList(ds.Tables[0]);
		}
		/// <summary>
		/// 获得数据列表
		/// </summary>
		public List<HySoft.BaseCallCenter.Model.T_Wo_WorkOrderFiles> DataTableToList(DataTable dt)
		{
			List<HySoft.BaseCallCenter.Model.T_Wo_WorkOrderFiles> modelList = new List<HySoft.BaseCallCenter.Model.T_Wo_WorkOrderFiles>();
			int rowsCount = dt.Rows.Count;
			if (rowsCount > 0)
			{
				HySoft.BaseCallCenter.Model.T_Wo_WorkOrderFiles model;
				for (int n = 0; n < rowsCount; n++)
				{
					model = new HySoft.BaseCallCenter.Model.T_Wo_WorkOrderFiles();
					if(dt.Rows[n]["F_FILEID"]!=null && dt.Rows[n]["F_FILEID"].ToString()!="")
					{
						model.F_FILEID=int.Parse(dt.Rows[n]["F_FILEID"].ToString());
					}
					if(dt.Rows[n]["F_WORKORDERID"]!=null && dt.Rows[n]["F_WORKORDERID"].ToString()!="")
					{
						model.F_WORKORDERID=int.Parse(dt.Rows[n]["F_WORKORDERID"].ToString());
					}
					if(dt.Rows[n]["F_NAME"]!=null && dt.Rows[n]["F_NAME"].ToString()!="")
					{
					model.F_NAME=dt.Rows[n]["F_NAME"].ToString();
					}
					if(dt.Rows[n]["F_PATH"]!=null && dt.Rows[n]["F_PATH"].ToString()!="")
					{
					model.F_PATH=dt.Rows[n]["F_PATH"].ToString();
					}
					if(dt.Rows[n]["F_DES"]!=null && dt.Rows[n]["F_DES"].ToString()!="")
					{
					model.F_DES=dt.Rows[n]["F_DES"].ToString();
					}
					if(dt.Rows[n]["F_TYPE"]!=null && dt.Rows[n]["F_TYPE"].ToString()!="")
					{
					model.F_TYPE=dt.Rows[n]["F_TYPE"].ToString();
					}
					if(dt.Rows[n]["F_SIZE"]!=null && dt.Rows[n]["F_SIZE"].ToString()!="")
					{
						model.F_SIZE=decimal.Parse(dt.Rows[n]["F_SIZE"].ToString());
					}
					if(dt.Rows[n]["F_UPLOADSTATE"]!=null && dt.Rows[n]["F_UPLOADSTATE"].ToString()!="")
					{
						model.F_UPLOADSTATE=int.Parse(dt.Rows[n]["F_UPLOADSTATE"].ToString());
					}
					if(dt.Rows[n]["F_USERID"]!=null && dt.Rows[n]["F_USERID"].ToString()!="")
					{
						model.F_USERID=int.Parse(dt.Rows[n]["F_USERID"].ToString());
					}
					if(dt.Rows[n]["F_UPLOADDATE"]!=null && dt.Rows[n]["F_UPLOADDATE"].ToString()!="")
					{
						model.F_UPLOADDATE=DateTime.Parse(dt.Rows[n]["F_UPLOADDATE"].ToString());
					}
					if(dt.Rows[n]["F_HOISTYID"]!=null && dt.Rows[n]["F_HOISTYID"].ToString()!="")
					{
					model.F_HOISTYID=dt.Rows[n]["F_HOISTYID"].ToString();
					}
					modelList.Add(model);
				}
			}
			return modelList;
		}

		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetAllList()
		{
			return GetList("");
		}

		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		public int GetRecordCount(string strWhere)
		{
			return dal.GetRecordCount(strWhere);
		}
		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		public DataSet GetListByPage(string strWhere, string orderby, int startIndex, int endIndex)
		{
			return dal.GetListByPage( strWhere,  orderby,  startIndex,  endIndex);
		}
		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		//public DataSet GetList(int PageSize,int PageIndex,string strWhere)
		//{
			//return dal.GetList(PageSize,PageIndex,strWhere);
		//}

		#endregion  Method
	}
}

